Lister les IPs autorisées
curl --request GET \
--url https://apidjonanko.tech/web-merchant/allowed-ips \
--header 'authenticationtoken: <api-key>'const options = {method: 'GET', headers: {authenticationtoken: '<api-key>'}};
fetch('https://apidjonanko.tech/web-merchant/allowed-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apidjonanko.tech/web-merchant/allowed-ips"
headers = {"authenticationtoken": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apidjonanko.tech/web-merchant/allowed-ips",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authenticationtoken: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"enforcementDate": "2026-09-25T00:00:00.000Z",
"enforced": true,
"maxIps": 20,
"ips": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ipAddress": "41.207.12.34",
"label": "Serveur de production",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}Sécurité — IPs autorisées
Lister les IPs autorisées
Renvoie les adresses IP enregistrées ainsi que la date d’entrée en vigueur du whitelisting.
GET
/
web-merchant
/
allowed-ips
Lister les IPs autorisées
Authorizations
JWT obtenu via POST /user/login-merchant. À passer tel quel, sans préfixe Bearer.
Query Parameters
Référence de votre compte marchand (celle choisie à l'inscription, ex. beautyshop).
Example:
"beautyshop"
